{% load markdownify %}



{% block content %}
    <!DOCTYPE html>
    <html>

        <head>
            <header>
                <nav>
                    <ul>
                        {% if user.is_authenticated %}
                            <li>
                                <a href="{% url 'show_my_tasks' %}">My Tasks</a>
                            </li>
                            <li>
                                <a href="{% url 'list_projects' %}">My Projects</a>
                            </li>
                            <li>
                                <a href="{% url 'logout' %}">Logout</a>
                            </li>
                        {% else %}
                            <li>
                                <a href="{% url 'login' %}">Login</a>
                            </li>
                            <li>
                                <a href="{% url 'signup' %}">Signup</a>
                            </li>
                        {% endif %}
                    </ul>
                </nav>
            </header>
        </head>

        <body>
            <main>
                <div>
                    <h1>{{ project }}</h1>
                    <p>{{ project.description|markdownify }}</p>
                    <h2>Tasks</h2>
                    <li>
                        <a href="{% url 'create_task' %}">Create a Task</a>
                    </li>
                    {% if project.tasks.all|length > 0 %}
                        <table>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Assignee</th>
                                    <th>Start date</th>
                                    <th>Due date</th>
                                    <th>Is completed</th>
                                </tr>
                            </thead>
                            {% for single_project in project.tasks.all %}
                                <tbody>
                                    <tr>
                                        <td>{{ single_project.name }}</td>
                                        <td>{{ single_project.assignee }}</td>
                                        <td>{{ single_project.start_date }}</td>
                                        <td>{{ single_project.due_date }}</td>
                                        <td>{{ single_project.is_completed }}</td>
                                    </tr>
                                </tbody>
                            {% endfor %}
                        </table>
                    {% else %}
                        <p>
                            This project has no tasks
                        </p>
                    {% endif %}
                </div>
            </main>
        </body>

    </html>

{% endblock content %}